#!/bin/sh

# Deny to users change their system password

export LC_ALL=POSIX

a= . install2-init-functions

PROG="${PROG:-${0##*/}}"
CONFIG="$destdir/etc/pam.d/passwd"

if [ -z "$destdir" ]; then
    echo "$PROG: environment variable \`destidr' doesn't defined."
    exit 0
fi

if ! [ -f "$CONFIG" -a -w "$CONFIG" ]; then
    echo "$PROG: wrong file $CONFIG"
    exit 0
fi

# Insert on top of PAM config file.
sed -i -e '1 a\
# START: installer-feature-passwd-deny\
password        required        pam_rootok.so\
password        required        pam_echo.so ONLY ROOT ALLOWED TO CHANGE PASSWORD\
# END: installer-feature-passwd-deny
' "$CONFIG"

echo "$PROG: success."
